Skip to main content
GET
/
agents
/
{agentId}
/
credentials
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/agents/{agentId}/credentials \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "agentId": "<string>",
    "orgId": "<string>",
    "type": "<string>",
    "jwtVc": "<string>",
    "issuerDid": "<string>",
    "subjectDid": "<string>",
    "issuedAt": "<string>",
    "expiresAt": "<string>",
    "revoked": true,
    "revokedAt": "<string>",
    "revocationIndex": 123,
    "metadata": {},
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

agentId
required

Agent identifier

Pattern: ^[0-9a-z]+$

Response

200 - application/json

OK

id
string
required
agentId
string
required
orgId
string
required
type
string
required
jwtVc
string
required
issuerDid
string
required
subjectDid
string
required
issuedAt
string
required
expiresAt
string | null
required
revoked
boolean
required
revokedAt
string | null
required
revocationIndex
number | null
required
metadata
object | null
required
createdAt
string
required
updatedAt
string
required